
resource "kubernetes_namespace" "coturn-dns" {

  metadata {
    name = "coturn-dns"
  }
}

resource "kubernetes_secret" "aws_user_coturn_dns" {
  depends_on = [kubernetes_namespace.coturn-dns]

  metadata {
    name      = "aws-user-coturn-dns"
    namespace = "coturn-dns"
  }

  data = {
    username = var.access_key
    password = var.secret_key
  }

  type = "kubernetes.io/basic-auth"

}
